summaryrefslogtreecommitdiffstats
path: root/desktop/Simplenote/Simplenote.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/Simplenote/Simplenote.SlackBuild')
-rw-r--r--desktop/Simplenote/Simplenote.SlackBuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/desktop/Simplenote/Simplenote.SlackBuild b/desktop/Simplenote/Simplenote.SlackBuild
index 197dc39c5a..b8de49a16b 100644
--- a/desktop/Simplenote/Simplenote.SlackBuild
+++ b/desktop/Simplenote/Simplenote.SlackBuild
@@ -34,12 +34,18 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Set to abort if not building on x86_64
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported. Aborting."
+ exit 1
+fi
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $SRCNAM-$VERSION-x64
+rm -rf $SRCNAM-x64
tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-x64
chown -R root:root .
@@ -47,7 +53,7 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Install into /opt
mkdir -p $PKG/opt/Simplenote